﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PreventEditingOnCellBaseOnValue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<Data> data = new List<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data d = new Data
                {
                     Combo = i % 3,
                     ComboSource = new List<ComboData>()
                };

                for (int j = 0; j < 3; j++)
                {
                    d.ComboSource.Add(new ComboData { Name = "Name " + j, Value = j });
                }

                data.Add(d);
            }

            DataContext = data;
        }

        private void XamDataGrid_EditModeStarting(object sender, Infragistics.Windows.DataPresenter.Events.EditModeStartingEventArgs e)
        {
            if (e.Cell.Field.Name.Equals("Combo"))
                if ((int)e.Cell.Value == 2)
                    e.Cancel = true;
        }
    }

    public class Data
    {
        public int Combo { get; set; }
        public List<ComboData> ComboSource { get; set; }
    }

    public class ComboData
    {
        public int Value { get; set; }
        public string Name { get; set; }
    }
}
